/** definitions of buttons used in the CAF buttons module */
#include <caf/gpio_pins.h>
#include <zephyr/devicetree.h>

/** Configure CONFIG_CAF_BUTTONS_DEF_PATH="cc1_med_buttons_def.h" in prj.cnf to make this the buttons definition
 * Ensure that the CMakeList.txt of the app includes the dir where this file is (eg as 
 * zephyr_include_directories(
 *      configuration/${BOARD}
 * ))
*/
/* This structure enforces the header file is included only once in the build.
 * Violating this requirement triggers a multiple definition error at link time.
 */
const struct {} buttons_def_include_once;

static const struct gpio_pin col[] = {
};

static const struct gpio_pin row[] = {
        /*
        { .port = 0, .pin = 23  },              // 'right' button
        { .port = 0, .pin = 24  },              // 'home' button
        { .port = 0, .pin = 8 },                // 'left button
        { .port = 0, .pin = 9 },                // alert hall sensor
        */
       /*
        { .port = DT_PROP(DT_GPIO_CTLR(DT_NODELABEL(button0), gpios), port), .pin = DT_GPIO_PIN(DT_NODELABEL(button0), gpios)  },              // 'right' button
        { .port = DT_PROP(DT_GPIO_CTLR(DT_NODELABEL(button1), gpios), port), .pin = DT_GPIO_PIN(DT_NODELABEL(button1), gpios)  },              // 'home' button
        { .port = DT_PROP(DT_GPIO_CTLR(DT_NODELABEL(button2), gpios), port), .pin = DT_GPIO_PIN(DT_NODELABEL(button2), gpios) },                // 'left button
        { .port = DT_PROP(DT_GPIO_CTLR(DT_NODELABEL(button3), gpios), port), .pin = DT_GPIO_PIN(DT_NODELABEL(button3), gpios) },                // alert hall sensor
        */
        { .port = DT_PROP(DT_GPIO_CTLR(DT_ALIAS(butt_left), gpios), port), .pin = DT_GPIO_PIN(DT_ALIAS(butt_left), gpios)  },              // 'left' button
        { .port = DT_PROP(DT_GPIO_CTLR(DT_ALIAS(butt_home), gpios), port), .pin = DT_GPIO_PIN(DT_ALIAS(butt_home), gpios)  },              // 'home' button
        { .port = DT_PROP(DT_GPIO_CTLR(DT_ALIAS(butt_right), gpios), port), .pin = DT_GPIO_PIN(DT_ALIAS(butt_right), gpios) },                // 'right button
        { .port = DT_PROP(DT_GPIO_CTLR(DT_ALIAS(butt_alert), gpios), port), .pin = DT_GPIO_PIN(DT_ALIAS(butt_alert), gpios) },                // alert hall sensor
};
